<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.6                                                     |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est bas sur le module existant pour le tlchargement,     |
// | cette version permet le tlchargement sur plusieurs pages.           |
// | Mod Addon : PclZip -> http://www.phpconcept.net/pclzip/               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//--------------------------------------------------------------------- include
define('PHPWG_ROOT_PATH', '../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
include(PHPWG_ROOT_PATH.'include/section_init.inc.php');

//----------------------------------------------------- template initialization
//
// Start output of page
//
$title = ' Download Multi : Panier';
$page['body_id'] = 'DownloadMulti';
include(PHPWG_ROOT_PATH.'include/page_header.php');

$template->set_filenames( array('preview'=>PHPWG_ROOT_PATH.'modules/download_multi/template/preview.tpl') );

// +-----------------------------------------------------------------------+
// |                                 action                                |
// +-----------------------------------------------------------------------+
if (isset($_POST['id_image']))
{
    // Suppression d'une image par rapport  sont id
    $query = '
        DELETE FROM '.MOD_DOWNLOAD_MULTI.'
        WHERE id_image = \''.$_POST['id_image'].'\'
    ;';
    $result = pwg_query($query);

    // Optimisation de la table pour viter la fragmentation
    // aprs suppression d'enregistrements
    $query = '
        OPTIMIZE TABLE '.MOD_DOWNLOAD_MULTI.'
    ;';

    $result = pwg_query($query);
}

// Slection des images et de l'id pour affichage
$query = '
    SELECT id_image, type
    FROM '.MOD_DOWNLOAD_MULTI.'
    WHERE id_user = '.$user['id'].'
;';
$result = pwg_query($query);

// +-----------------------------------------------------------------------+
// |                            preview display                            |
// +-----------------------------------------------------------------------+ 
$template->assign_block_vars(
    'preview',
        array(
            'URL_HOME' => duplicate_index_URL(),
            'U_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=download_multi',
        ));
            
// Si il n'y a pas d'enregistrement
// Affiche le message 'panier vide'
if (mysql_num_rows($result) == 0)
{
    $template->assign_block_vars(
        'preview.empty',
            array(
                'EMPTY' => $lang['dl_empty_cart']
                )
            );
}
else
{
    while ($row = mysql_fetch_array($result))
    {
        // Slection des informations par rapport  l'id image
    	$query_1 = '
            SELECT file, path
            FROM '.IMAGES_TABLE.'
            WHERE id = \''.$row['id_image'].'\'    
        ;'; 
        $row_1 = mysql_fetch_array(pwg_query($query_1));

        // Rcupration du rpertoire
        $path = dirname(substr($row_1['path'], 2));
        
        // Gnration du nom
        $file = $conf['prefix_thumbnail'].$row_1['file'];
        $type = $row['type'];
        $chemin = 'http://'.$_SERVER['HTTP_HOST'].'/'.$conf['mod_dl_multi_rep_pwg'].$path.'/thumbnail/'.$file;
        
        switch ($type)
        {
            case 't':
                $txt_type = $lang['dl_type_thumbnail'];
                $img_type = 'page_white_world.png';
            break;
            case 'n':
                $txt_type = $lang['dl_type_normal'];
                $img_type = 'page_white_picture.png';
            break;
            case 'h':
                $txt_type = $lang['dl_type_high'];
                $img_type = 'page_white_camera.png';
            break;
        }
                
        $template->assign_block_vars(
            'preview.image',
                array(
                    'ID_IMAGE' => $row['id_image'],
                    'PATH' => $chemin,
                    'NAME' => $file,
                    'TYPE' => $txt_type,
                    'IMG' => $img_type
                ));               
    }
}

// include menubar
include(PHPWG_ROOT_PATH.'include/menubar.inc.php');

$template->parse('preview');
include(PHPWG_ROOT_PATH.'include/page_tail.php');
?> 